SubscriptionHelperImpl (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.zerogc.api

## Class SubscriptionHelperImpl

- java.lang.Object
- - com.marketfactory.zerogc.api.SubscriptionHelperImpl

- All Implemented Interfaces:
    SubscriptionHelper

      public class SubscriptionHelperImpl
      extends java.lang.Object
      implements SubscriptionHelper

  Helper to control and encapsulate the sticky subscriptions map NOTE: NOT THREADSAFE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionHelperImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<FeedMarketID,com.marketfactory.zerogc.api.SubscribeMessage>` | `getCopyOfStickySubscriptions()`
    `void` | `handleStop()`
    `boolean` | `isClearSubscriptionsOnStop()`
    `boolean` | `isStickySubscriptionsEnabled()`
    `void` | `remove(int feedID, int marketID)`
    `void` | `removeAll()`
    `void` | `setClearSubscriptionsOnStop(boolean clearSubscriptionsOnStop)`
    `void` | `setStickyEnabled(boolean stickyEnabled)`
    `void` | `updateWith(com.marketfactory.zerogc.api.SubscribeMessage message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionHelperImpl

          public SubscriptionHelperImpl()

  - ### Method Detail

    - #### setStickyEnabled

          public void setStickyEnabled(boolean stickyEnabled)

      Specified by:
        `setStickyEnabled` in interface `SubscriptionHelper`

    - #### setClearSubscriptionsOnStop

          public void setClearSubscriptionsOnStop(boolean clearSubscriptionsOnStop)

      Specified by:
        `setClearSubscriptionsOnStop` in interface `SubscriptionHelper`

    - #### handleStop

          public void handleStop()

      Specified by:
        `handleStop` in interface `SubscriptionHelper`

    - #### getCopyOfStickySubscriptions

          public java.util.Map<FeedMarketID,com.marketfactory.zerogc.api.SubscribeMessage> getCopyOfStickySubscriptions()

      Specified by:
        `getCopyOfStickySubscriptions` in interface `SubscriptionHelper`

    - #### isStickySubscriptionsEnabled

          public boolean isStickySubscriptionsEnabled()

      Specified by:
        `isStickySubscriptionsEnabled` in interface `SubscriptionHelper`

    - #### isClearSubscriptionsOnStop

          public boolean isClearSubscriptionsOnStop()

      Specified by:
        `isClearSubscriptionsOnStop` in interface `SubscriptionHelper`

    - #### updateWith

          public void updateWith(com.marketfactory.zerogc.api.SubscribeMessage message)

      Specified by:
        `updateWith` in interface `SubscriptionHelper`

    - #### remove

          public void remove(int feedID,
                             int marketID)

      Specified by:
        `remove` in interface `SubscriptionHelper`

    - #### removeAll

          public void removeAll()

      Specified by:
        `removeAll` in interface `SubscriptionHelper`